/*
 * Copyright (C) 2000 John David Ratliff, Jason Andrew Fisk, and Hongwei Guan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package datatypes;

public interface Stack {
	// push an element onto the top of the stack
	public void push(Object element);

	// pop an object from the top of the stack
	public Object pop();

	// peek at the top of the stack without 'popping' it
	public Object peek();

	// return the number of elements in the stack
	public int size();

	// returns whether the stack is full
	public boolean isFull();

	// returns whether the stack is empty
	public boolean isEmpty();
}
